package org.jboss.qa.brms.performance.domain;

import java.io.Serializable;
import java.util.Currency;
import java.util.Date;

public class Transaction implements Serializable {

    private static final long serialVersionUID = -944322006572587392L;

    public enum Status {
        PENDING, DONE
    };

    private Account accountFrom;
    private Account accountTo;
    private Status status;
    private double amount;
    private String description;
    private Currency currency;
    private Date date;
    private String uuid;

    public Account getAccountFrom() {
        return accountFrom;
    }

    public void setAccountFrom(Account accountFrom) {
        this.accountFrom = accountFrom;
    }

    public Account getAccountTo() {
        return accountTo;
    }

    public void setAccountTo(Account accountTo) {
        this.accountTo = accountTo;
    }

    public Status getStatus() {
        return status;
    }

    public void setStatus(Status status) {
        this.status = status;
    }

    public double getAmount() {
        return amount;
    }

    public void setAmount(double amount) {
        this.amount = amount;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public Currency getCurrency() {
        return currency;
    }

    public void setCurrency(Currency currency) {
        this.currency = currency;
    }

    public Date getDate() {
        return date;
    }

    public void setDate(Date date) {
        this.date = date;
    }

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    @Override
    public String toString() {
        return "Transaction [accountFrom=" + accountFrom + ", accountTo=" + accountTo + ", status=" + status +
                ", amount=" + amount + ", description=" + description + ", currency=" + currency + ", date=" +
                date + ", uuid=" + uuid + "]";
    }
}
